Bug 18121 - Rename opac_news.new with opac_news.content - replace notice template
Summary: Rename opac_news.new with opac_news.content - replace notice template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 17960
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 08:38 UTC by Jonathan Druart
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18121: Replace opac_news.new with opac_news.content in notices templates (1.99 KB, patch)
2017-02-15 08:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18121: Replace opac_news.new with opac_news.content in notices templates (2.05 KB, patch)
2017-03-21 02:03 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 18121: Replace opac_news.new with opac_news.content in notices templates (2.13 KB, patch)
2017-04-07 06:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-02-15 08:38:39 UTC
Bug 17960 replaces opac_news.new with opac_news.content, we can replace the content of the notices' templates automatically.
Comment 1 Jonathan Druart 2017-02-15 08:41:44 UTC
Created attachment 60243 [details] [review]
Bug 18121: Replace opac_news.new with opac_news.content in notices templates

Bug 17960 replaces opac_news.new with opac_news.content, we can replace
the content of the notices' templates automatically.

Test plan:
Checkout a commit prior to bug 17960. Install a new DB with sample data.
You should have notices with <<opac_news.new>>

Switch to a branch with this patch, on top of master

Execute the updatedatabase.pl sript
=> The notices with opac_news.new should have been replaced with
opac_news.content
Comment 2 Srdjan Jankovic 2017-03-21 02:03:51 UTC
Created attachment 61350 [details] [review]
[SIGNED-OFF] Bug 18121: Replace opac_news.new with opac_news.content in notices templates

Bug 17960 replaces opac_news.new with opac_news.content, we can replace
the content of the notices' templates automatically.

Test plan:
Checkout a commit prior to bug 17960. Install a new DB with sample data.
You should have notices with <<opac_news.new>>

Switch to a branch with this patch, on top of master

Execute the updatedatabase.pl sript
=> The notices with opac_news.new should have been replaced with
opac_news.content

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Comment 3 Marcel de Rooy 2017-04-07 06:31:01 UTC
Created attachment 61958 [details] [review]
Bug 18121: Replace opac_news.new with opac_news.content in notices templates

Bug 17960 replaces opac_news.new with opac_news.content, we can replace
the content of the notices' templates automatically.

Test plan:
Checkout a commit prior to bug 17960. Install a new DB with sample data.
You should have notices with <<opac_news.new>>

Switch to a branch with this patch, on top of master

Execute the updatedatabase.pl sript
=> The notices with opac_news.new should have been replaced with
opac_news.content

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2017-04-13 12:25:03 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-04-16 11:33:14 UTC
Depends on bug 17960 which is not part of 16.11.x.